Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class Manufacturer

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.Manufacturer

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Manufacturer
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Manufacturer()` |
    `Manufacturer​(java.lang.String manufacturerId)` |
    `Manufacturer​(java.lang.String manufacturerName, java.lang.String manufacturerSctId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCountry()` |
    `java.util.Date` | `getDateOfCreation()` |
    `java.util.Date` | `getDateOfModification()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getManufacturerName()` |
    `java.lang.String` | `getManufacturerSctId()` |
    `java.util.Set<MedicinalProduct>` | `getMedicinalProducts()` |
    `RecordStatus` | `getRecordStatus()` |
    `int` | `getVersion()` |
    `int` | `hashCode()` |
    `void` | `setCountry​(java.lang.String country)` |
    `void` | `setDateOfCreation​(java.util.Date dateOfCreation)` |
    `void` | `setDateOfModification​(java.util.Date dateOfModification)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setManufacturerName​(java.lang.String manufacturerName)` |
    `void` | `setManufacturerSctId​(java.lang.String manufacturerSctId)` |
    `void` | `setMedicinalProducts​(java.util.Set<MedicinalProduct> medicinalProducts)` |
    `void` | `setRecordStatus​(RecordStatus recordStatus)` |
    `void` | `setVersion​(int version)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Manufacturer

          public Manufacturer()

    - #### Manufacturer

          public Manufacturer​(java.lang.String manufacturerId)

    - #### Manufacturer

          public Manufacturer​(java.lang.String manufacturerName,
                              java.lang.String manufacturerSctId)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getManufacturerSctId

          public java.lang.String getManufacturerSctId()

    - #### setManufacturerSctId

          public void setManufacturerSctId​(java.lang.String manufacturerSctId)

    - #### getCountry

          public java.lang.String getCountry()

    - #### setCountry

          public void setCountry​(java.lang.String country)

    - #### getManufacturerName

          public java.lang.String getManufacturerName()

    - #### setManufacturerName

          public void setManufacturerName​(java.lang.String manufacturerName)

    - #### getMedicinalProducts

          public java.util.Set<MedicinalProduct> getMedicinalProducts()

    - #### setMedicinalProducts

          public void setMedicinalProducts​(java.util.Set<MedicinalProduct> medicinalProducts)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getRecordStatus

          public RecordStatus getRecordStatus()

    - #### setRecordStatus

          public void setRecordStatus​(RecordStatus recordStatus)

    - #### getDateOfCreation

          public java.util.Date getDateOfCreation()

    - #### setDateOfCreation

          public void setDateOfCreation​(java.util.Date dateOfCreation)

    - #### getDateOfModification

          public java.util.Date getDateOfModification()

    - #### setDateOfModification

          public void setDateOfModification​(java.util.Date dateOfModification)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`